
Redmine - Defect #6638

Authentication popup during loging in

2010-10-12 13:23 - WiCiO aeMaeTH

Status: Closed Start date: 2010-10-12

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.2

Description

Hi there,

Just made an upgrade form 0.9.5 to 1.0.2 and got an annoying issue. When a person opens a webpage with the redmine login page

he gets a popup window saying 'The server xxx:80 at Redmine API requires a username and password'. Entering the usr and psswd

doesn't do anything, the window just reappears. One must click on CANCEL (sometimes several times) and QUICKLY enter the user

and password in the NORMAL fields on redmine login page. After the user is logged in the problem doesn't exist but it's REALLY

ANNOYING to FIGHT with the popup which appears several times during your loging in.

How can I fix it?

My config:

Server - Debian 5.0.4 x64

database version - MySQL v5.0.51a

Ruby version - ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

Rails version  - Rails 2.3.5

Redmine version - Redmine 1.0.2.stable

History

#1 - 2010-10-12 22:04 - Felix Schäfer

What URL does this happen on? Only specific ones or any given one? Have you had a look at your redmine and rails server logs? What rails server

do you use? Do you have the source or the deb package installed? What plugins do you have installed if any?

#2 - 2010-10-13 09:14 - WiCiO aeMaeTH

- Status changed from New to Resolved

- % Done changed from 0 to 100

OK. I've fixed it!

Thanks for the 'log suggestion', I don't know why I didn't look there myslef.. It was 'TimeTracker Plugin' fault. Just removed it and everything works

fine now. It must be incompatible with ver 1.0.2.

Cheers!

#3 - 2010-10-13 10:44 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
